## Apache Zeta Components Manual :: File Source for filter_interface.php

## Source for file filter_interface.php

Documentation is available at filter_interface.php

1. <?php
2. /**
3. *
4. * Licensed to the Apache Software Foundation (ASF) under one
5. * or more contributor license agreements. See the NOTICE file
6. * distributed with this work for additional information
7. * regarding copyright ownership. The ASF licenses this file
8. * to you under the Apache License, Version 2.0 (the
9. * "License"); you may not use this file except in compliance
10. * with the License. You may obtain a copy of the License at
11. *
12. * http://www.apache.org/licenses/LICENSE-2.0
13. *
14. * Unless required by applicable law or agreed to in writing,
15. * software distributed under the License is distributed on an
16. * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
17. * KIND, either express or implied. See the License for the
18. * specific language governing permissions and limitations
19. * under the License.
20. *
21. * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
22. * @version //autogentag//
23. * @filesource
24. * @package Translation
25. */
27. /**
28. * ezcTranslationFilter defines the common interface for all translation filters.
29. *
30. * Example:
31. * @see ezcTranslationFilterBork::runFilter().
32. *
33. * @package Translation
34. * @version //autogentag//
35. */
36. interface ezcTranslationFilter
37. {
38. /**
39. * Returns an instance of the class that implements this interface
40. *
41. * @return ezcTranslationFilter
42. */
43. public static function getInstance ();
45. /**
46. * Filters the context $context.
47. *
48. * This static method is called by the Translation Manager whenever a
49. * context is requested. The method should only modify the "translated"
50. * string and not touch the original string or comment.
51. *
52. * For a definition of the array format see {@link }
53. * ezcTranslation::$translationMap}.
54. *
55. * @param array(ezcTranslationData) $context
56. * @return void
57. */
58. public function runFilter ( array $context );
59. }
60. ?>

Documentation generated by phpDocumentor 1.4.3